Subject: Re: BUG: fork problems with libxml2
From: "Gerrit P. Haase" <[email-masked]>
To: Stanislav Sinyagin <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Aug 2002 16:11:26 +0200

Hallo Stanislav,

> I found a problem in launching fork under Perl. I'm not sure
> if it's Cygwin or libxml problem, but I'm rather sure it's 
> not an XML::LibXML problem.

> OS: Windows 2000, SP2
> Latest release Cygwin installation
> libxml2 package version  2.4.23-1
> XML-LibXML-1.52 Perl library. 

> The error is found when launching Expect.pm, and is reproducable with 
> simple fork(). See below the error messages and the sample script.

> ===========  Console log =============
> $ perl xmltest.pl
> C:\cygwin\bin\perl.exe: *** unable to remap C:\cygwin\bin\cygxml2-2.dll to 
> same
> address as parent -- 0x1A2F0000
>      35 [main] perl 1320 sync_with_child: child 768(0xD0) died before 
> initializa
> tion with status code 0x1
>   18554 [main] perl 1320 sync_with_child: *** child state child loading 
> dlls
> I am a child
> ===========  Console log end =============

This is a problem with Cygwin fork().  You need to rebase the DLL's and
all should work well then.  This needs Cygwin core development and
meanwhile one needs to rebase the DLL's if there are problems with fork().
Hint to the home of Cygwin-rebase:
http://www.tishler.net/jason/software/rebase/

Some more infos can be found in the archives, e.g.:
http://sources.redhat.com/ml/cygwin/2002-07/msg00276.html

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/